<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package filmic
 */

$blog_sidebar = get_theme_mod( 'blog_sidebar', 'right' );

get_header(); ?>

	<div class="container">
		<div class="row">
			<section id="primary" class="content-area col-lg-9">
				<main id="main" class="site-main">

				<?php
				if ( have_posts() ) : ?>

					<?php
					/* Start the Loop */
					while ( have_posts() ) : the_post();

						/**
						 * Run the loop for the search to output the results.
						 * If you want to overload this in a child theme then include a file
						 * called content-search.php and that will be used instead.
						 */
						get_template_part( 'template-parts/content' );

					endwhile;

					filmic_paging();

				else :

					get_template_part( 'template-parts/content', 'none' );

				endif; ?>

				</main><!-- #main -->
			</section><!-- #primary -->

			<?php
				// Sidebar.
				filmic_get_sidebar( 'sidebar-blog', $blog_sidebar );
			?>

		</div><!-- .row -->
	</div><!-- .container -->
<?php
get_footer();
